Page MenuHomePhabricator

[ToC] Bottom fade issue
Closed, ResolvedPublic1 Estimated Story Points

Description

Description

  • The fade at the bottom of the ToC should be contained to the width of the ToC

To view this issues visit: https://it.wikipedia.org/wiki/Discussioni_utente:Basilicofresco?oldid=127013187

NOTE: this issue may be connected to, or caused by, T306913

https://phabricator.wikimedia.org/T306893#7948660
https://phabricator.wikimedia.org/T306893#7948662

QA Results - Beta

ACStatusDetails
1T306893#7948660

QA Results - Prod

ACStatusDetails
1T306893#7948662

Event Timeline

@Jdlrobson I just deleted that <li> from the table of contents, but i'm still seeing the fade extend beyond the width of the table of contents:

Screen Shot 2022-04-26 at 11.47.45 AM.png (295×551 px, 31 KB)

not sure if that's a valid way to check it or not...

You have two issues here then :-) Let's remove "The ToC should never scroll horizontally" from this ticket and focus on the other issue.

alexhollender_WMF renamed this task from [ToC] Bottom fade & horizontal scroll issue to [ToC] Bottom fade issue.Apr 26 2022, 4:02 PM
alexhollender_WMF updated the task description. (Show Details)

This was likely introduced in the visual/layout changes patch. This can be fixed in 1 line by adding position: relative; to .sidebar-toc

bwang removed bwang as the assignee of this task.Apr 26 2022, 6:00 PM
bwang added a subscriber: bwang.
LGoto set the point value for this task to 1.

Change 787048 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/Vector@master] Fix TOC bottom fade

https://gerrit.wikimedia.org/r/787048

Change 787048 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Fix TOC bottom fade

https://gerrit.wikimedia.org/r/787048

My fix was not a fix, it ended up breaking the fade a bit more actually.

Screen Shot 2022-05-03 at 4.15.47 PM.png (442×636 px, 30 KB)

Change 789210 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/Vector@master] Fix TOC fadeout placement

https://gerrit.wikimedia.org/r/789210

Change 789263 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/skins/Vector@wmf/1.39.0-wmf.10] Fix TOC fadeout placement

https://gerrit.wikimedia.org/r/789263

Change 789263 merged by jenkins-bot:

[mediawiki/skins/Vector@wmf/1.39.0-wmf.10] Fix TOC fadeout placement

https://gerrit.wikimedia.org/r/789263

Mentioned in SAL (#wikimedia-operations) [2022-05-04T21:25:43Z] <cjming@deploy1002> Synchronized php-1.39.0-wmf.10/skins/Vector/resources/skins.vector.styles/components: Backport: [[gerrit:789263|Fix TOC fadeout placement (T306893)]] (duration: 00m 51s)

Change 789210 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Fix TOC fadeout placement

https://gerrit.wikimedia.org/r/789210

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Monterey
Browser: Chrome
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

✅ AC1: The fade at the bottom of the ToC should be contained to the width of the ToC

Screen Shot 2022-05-22 at 6.18.06 PM.png (713×323 px, 47 KB)

Test Result - Prod

Status: ✅ PASS
Environment: enwiki, itwiki
OS: macOS Monterey
Browser: Chrome
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

✅ AC1: The fade at the bottom of the ToC should be contained to the width of the ToC

Screen Shot 2022-05-22 at 6.21.13 PM.png (623×398 px, 53 KB)

Screen Shot 2022-05-22 at 6.19.57 PM.png (1×343 px, 100 KB)

Screen Shot 2022-05-22 at 6.22.32 PM.png (956×788 px, 289 KB)